# Deprecated API

## Contents

- Constructors

- Deprecated Constructors
  Constructor
  Description
  jakarta.websocket.SendResult()
  Deprecated in WebSocket 2.2 and will be removed in a future version. Use `SendResult(Session, Throwable)` as a replacement.
  jakarta.websocket.SendResult(Throwable)
  Deprecated in WebSocket 2.2 and will be removed in a future version. Use `SendResult(Session, Throwable)` as a replacement.